libnvme(2)

NAME
enum nvme_resv_rtype - Reservation Type Encoding

SYNOPSIS
enum nvme_resv_rtype {
NVME_RESERVATION_RTYPE_WE ,
NVME_RESERVATION_RTYPE_EA ,
NVME_RESERVATION_RTYPE_WERO ,
NVME_RESERVATION_RTYPE_EARO ,
NVME_RESERVATION_RTYPE_WEAR ,
NVME_RESERVATION_RTYPE_EAAR

};

Constants

NVME_RESERVATION_RTYPE_WE
    Write Exclusive Reservation

NVME_RESERVATION_RTYPE_EA
    Exclusive Access Reservation

NVME_RESERVATION_RTYPE_WERO
    Write Exclusive - Registrants Only Reservation

NVME_RESERVATION_RTYPE_EARO
    Exclusive Access - Registrants Only Reservation

NVME_RESERVATION_RTYPE_WEAR
    Write Exclusive - All Registrants Reservation

NVME_RESERVATION_RTYPE_EAAR
    Exclusive Access - All Registrants Reservation